javax.batch.api.listener

## Interface JobListener

All Known Implementing Classes:
  AbstractJobListener

    public interface JobListener

JobListener intercepts job execution.

### Method Summary

Methods
`void` `afterJob()` The afterJob method receives control after the job execution ends.
`void` `beforeJob()` The beforeJob method receives control before the job execution begins.

### Method Detail

#### beforeJob

    void beforeJob()
                   throws Exception

The beforeJob method receives control before the job execution begins.

Throws:
  `Exception` - throw if an error occurs.

#### afterJob

    void afterJob()
                  throws Exception

The afterJob method receives control after the job execution ends.

Throws:
  `Exception` - throw if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0